<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema"
 elementFormDefault="qualified">

<xsd:include schemaLocation="common_trans.xsd"/>
<xsd:include schemaLocation="obj_av_msg_service.xsd"/>

	<xsd:element name="GET_AV_MSG_LIST" type="GetAvMsgContent"/>
	<xsd:element name="GET_IVR_LIST" type="GetAvMsgContent"/>


	<xsd:complexType name="GetAvMsgContent">
		<xsd:sequence>
			<xsd:element ref="AV_SERVICE_LIST"  minOccurs="0"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:element name="GET_IVR_MSG_LIST">
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element ref="IVR_MSG_LIST"  minOccurs="0"/>
			</xsd:sequence>
		</xsd:complexType>
	</xsd:element>

	<xsd:element name="RESPONSE_TRANS_AV_MSG_SERVICE_LIST">
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element  ref="RETURN_STATUS"/>
				<xsd:choice>
					<xsd:group ref="ACTIONS"/>
					<xsd:element ref="ACTION"/>
				</xsd:choice>
			</xsd:sequence>
		</xsd:complexType>
	</xsd:element>

	<xsd:group name="ACTIONS">
		<xsd:choice>
			<xsd:element ref="GET_AV_MSG_LIST"/>			<!--not supported-->
			<xsd:element ref="GET_IVR_LIST"/>
			<xsd:element ref="GET_IVR_MSG_LIST"/>			<!--not supported-->
		</xsd:choice>
	</xsd:group>

	<xsd:element name="ACTION">
		<xsd:complexType> 
			<xsd:sequence>
				<xsd:group ref="ACTIONS"/>
			</xsd:sequence>
		</xsd:complexType> 
	</xsd:element>

</xsd:schema>
